## ros-foxy-srdfdom 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(srdfdom LANGUAGES CXX)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(Boost REQUIRED)
find_package(console_bridge REQUIRED)
find_package(urdfdom_headers REQUIRED)
find_package(ament_cmake REQUIRED)
find_package(urdf REQUIRED)
find_package(tinyxml2_vendor REQUIRED)

# Made available by the vendor package
find_package(TinyXML2 REQUIRED)

# Set VERSION from package.xml
ament_package_xml()

include_directories(include ${rclcpp_INCLUDE_DIRS}
  ${rmw_implementation_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIR}
  ${TinyXML2_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  ${urdf_INCLUDE_DIRS}
  ${std_msgs_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} SHARED
  src/model.cpp
  src/srdf_writer.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES
  VERSION ${${PROJECT_NAME}_VERSION})

# System dependencies
target_link_libraries(${PROJECT_NAME} PUBLIC ${TinyXML2_LIBRARIES})

# Ament dependencies
ament_target_dependencies(${PROJECT_NAME} PUBLIC
  console_bridge
  urdfdom_headers
  urdf
)

install(TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}
  DESTINATION lib
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
  FILES_MATCHING PATTERN "*.h"
)

install(PROGRAMS
  scripts/display_srdf
  DESTINATION lib/${PROJECT_NAME}
)

set_target_properties(${PROJECT_NAME} PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(test_parser test/srdf_parser.test)

  add_definitions(-DTEST_RESOURCE_LOCATION="${CMAKE_SOURCE_DIR}/test/resources")
  execute_process(COMMAND bash -c "locale -a | grep -q ^en_US"
    RESULT_VARIABLE TEST_LOCALE
    OUTPUT_QUIET ERROR_QUIET)
  if(TEST_LOCALE)
    message(STATUS "Locale nl_NL not available. Locale test will not be meaningful.")
  endif()

  ament_add_gtest(test_cpp test/srdf_parser_cpp.test test/test_parser.cpp)
  target_link_libraries(test_cpp ${PROJECT_NAME})

  # ament_lint
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME} ${TinyXML2_LIBRARIES})
ament_export_dependencies(console_bridge)
ament_export_dependencies(urdfdom_headers)
ament_export_dependencies(urdf)
ament_package()

=== debian/changelog ===
ros-foxy-srdfdom (2.0.2-1focal) focal; urgency=high

  * Support rolling CI (#85 <https://github.com/ros-planning/srdfdom/issues/85>)
  * Contributors: Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 23 May 2021 22:00:00 -0000

ros-foxy-srdfdom (2.0.1-1focal) focal; urgency=high

  * SRDFWriter: Add functionality to generate xml for the joint properties
  * Add a new JointProperties xml tag
  * Add diff_drive type to virtual joints
  * [fix] export cmake library install (#76 <https://github.com/ros-planning/srdfdom/issues/76>)
  * Contributors: David V. Lu, Jafar Abdi, Mark Moll, Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Apr 2021 22:00:00 -0000

ros-foxy-srdfdom (2.0.0-1focal) focal; urgency=high

  * [fix] Conflicting upstream dependency console_bridge
    * Add console_bridge libs with ament_target_dependencies (#59 <https://github.com/ros-planning/srdfdom/issues/59>)
    * Use console_bridge_vendor dependency wrapper (#61 <https://github.com/ros-planning/srdfdom/issues/61>)
  * [maint] Inherit package VERSION from package.xml (#74 <https://github.com/ros-planning/srdfdom/issues/74>)
  * [maint] Symbol visibility for Windows support (#69 <https://github.com/ros-planning/srdfdom/issues/69>)
  * [maint] Proper exporting of TinyXML2 library to dependent ament packages (#54 <https://github.com/ros-planning/srdfdom/issues/54>)
  * [ros2-migration] Port to ROS 2 (#52 <https://github.com/ros-planning/srdfdom/issues/52>)
    * Apply initial port by AcutronicsRobotics (AcutronicRobotics:srdfdom#1 <https://github.com/AcutronicRobotics/srdfdom/issues/1>, AcutronicRobotics:srdfdom#2 <https://github.com/AcutronicRobotics/srdfdom/issues/2>, AcutronicRobotics:srdfdom#3 <https://github.com/AcutronicRobotics/srdfdom/issues/3>, AcutronicRobotics:srdfdom#4 <https://github.com/AcutronicRobotics/srdfdom/issues/4>)
    * Enable Travis CI
  * Contributors: Alejandro Hernandez Cordero, Anas Mchichou El Harrak, Henning Kayser, Hunter L. Allen, Josh Langsfeld, Lior Lustgarten, Patrick Beeson, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 22 Nov 2020 23:00:00 -0000

ros-foxy-srdfdom (0.6.2-1focal) focal; urgency=high

  * [bugfix] Correctly return success in SRDFWriter::writeSRDF().
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 08 Sep 2020 22:00:00 -0000

ros-foxy-srdfdom (0.6.1-1focal) focal; urgency=high

  * [bugfix] SRDFWriter: Correctly populate XML document
  * [bugfix] SRDFWriter: Use locale independent conversion from double to string (#67 <https://github.com/ros-planning/srdfdom/issues/67>)
  * [maint]  Silence cmake warning
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 05 Sep 2020 22:00:00 -0000

ros-foxy-srdfdom (0.6.0-1focal) focal; urgency=high

  * [maint] Switch from TinyXML to TinyXML2 (#60 <https://github.com/ros-planning/srdfdom/issues/60>)
  * [maint] add soname to library (#63 <https://github.com/ros-planning/srdfdom/issues/63>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-foxy-srdfdom (0.5.2-1focal) focal; urgency=high

  * [maint]  Modernize Travis config (#57 <https://github.com/ros-planning/srdfdom/issues/57>)
  * [maint]  Modernize package.xml
  * [maint]  Modernize python (python2 / python3 compatibility)
  * [maint]  Modernize cmake and setup.py
  * [maint]  Fix unittest
  * [maint]  Use [[deprecated]] for better portability (#47 <https://github.com/ros-planning/srdfdom/issues/47>)
  * [maint]  Travis: enable ccache
  * [maint]  Fix catkin_lint issues
  * [maint]  Format code with clang-format (#42 <https://github.com/ros-planning/srdfdom/issues/42>, #43 <https://github.com/ros-planning/srdfdom/issues/43>)
  * [bugfix] Parse group's robot states with C locale (#44 <https://github.com/ros-planning/srdfdom/issues/44>)
  * [bugfix] Trigger error in case of SRDF syntax error (#41 <https://github.com/ros-planning/srdfdom/issues/41>)
  * Contributors: Alejandro Hernández Cordero, Dave Coleman, Jonathan Binney, Michael Görner, Robert Haschke, Sean Yen, Simon Schmeisser, kkufieta

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 29 Jun 2020 22:00:00 -0000

ros-foxy-srdfdom (0.5.0-1focal) focal; urgency=high

  * Switch to std::shared_ptr of C++11 (#36 <https://github.com/ros-planning/srdfdom/issues/36>)
  * Change log{Error,Warn} -> CONSOLE_BRIDGE_log{Error,Warn} (#37 <https://github.com/ros-planning/srdfdom/issues/37>)
  * Contributors: Chris Lalancette, Ian McMahon

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 23 Apr 2018 22:00:00 -0000

ros-foxy-srdfdom (0.4.2-1focal) focal; urgency=high

  * [fix] gcc6 build error #28 <https://github.com/ros-planning/srdfdom/issues/28>
  * [fix] Compile with -std=c++11 (#29 <https://github.com/ros-planning/srdfdom/issues/29>)
  * [enhancement] cleanup urdfdom compatibility (#27 <https://github.com/ros-planning/srdfdom/issues/27>)
  * Contributors: Dmitry Rozhkov, Isaac I.Y. Saito, Robert Haschke, Victor Matare

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 29 Jan 2017 23:00:00 -0000

ros-foxy-srdfdom (0.4.1-1focal) focal; urgency=high

  * [fix][system] Build failure for Ubuntu Wily and Debian Jesie (urdfdom compatibility #25 <https://github.com/ros-planning/srdfdom/issues/25>)
    * test for existence of urdf typedef
    * if not existing, activate compatibility header
  * Contributors: Michael Goerner, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 21 Sep 2016 22:00:00 -0000

ros-foxy-srdfdom (0.4.0-1focal) focal; urgency=high

  * [fix] Define shared_ptr typedef (adjusting to the recent change in urdfdom) #21 <https://github.com/ros-planning/srdfdom/issues/21>
  * Contributors: Dave Coleman, Robert Haschke



=== debian/control ===
Source: ros-foxy-srdfdom
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libconsole-bridge-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-cmake, ros-foxy-console-bridge-vendor, ros-foxy-tinyxml2-vendor, ros-foxy-urdf, ros-foxy-urdfdom-headers, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/srdfdom
Standards-Version: 3.9.2

Package: ros-foxy-srdfdom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, ros-foxy-console-bridge-vendor, ros-foxy-tinyxml2-vendor, ros-foxy-urdf, ros-foxy-urdfdom-py, ros-foxy-ros-workspace
Description: Parser for Semantic Robot Description Format (SRDF).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-srdfdom//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
